#!/usr/bin/env python2
# -*- coding: utf-8 -*-

import sys
import re
import numpy as np
import random
import math

import rospy
import rospkg

import yaml
from matplotlib import pyplot as plt

from geometry_msgs.msg import PolygonStamped, Point32

POLYGON = [(4,1),(16,1),(19,4),(19,11),(16,14),(13,14),(11,12),(11,10),(13,8),(13,6),(11,4),(9,4),(7,6),(7,8),(9,10),(9,12),(7,14),(4,14),(1,11),(1,4)]

if __name__ == '__main__':

    # init ros node
    rospy.init_node('uir_ploygon_publisher', log_level=rospy.DEBUG)
    rospy.loginfo("Starting UIR polygon publisher")

    # load parameters
    topic_name = rospy.get_param("~POLYGON_TOPIC_NAME","/polygon")

    publisher = rospy.Publisher(topic_name, PolygonStamped, queue_size=1)

    msg = PolygonStamped()
    msg.header.frame_id = 'map'
    for pt in POLYGON:
        ptmsg = Point32()
        ptmsg.x = pt[0]
        ptmsg.y = pt[1]
        ptmsg.z = 0
        msg.polygon.points.append(ptmsg)

    publisher.publish(msg)

    # report loop
    rate = rospy.Rate(.1)
    while not rospy.is_shutdown():
        rate.sleep()
        publisher.publish(msg)
        rospy.loginfo("%s : I am alive" % rospy.get_name())
    

